Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class UnImplNode

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode

Direct Known Subclasses:
  ElemTemplateElement

public class UnImplNode
extends java.lang.Object
implements org.w3c.dom.Node, org.w3c.dom.Element, org.w3c.dom.NodeList, org.w3c.dom.Document

To be subclassed by classes that wish to fake being nodes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`UnImplNode()` Constructor UnImplNode

Method Summary
`org.w3c.dom.Node` | `adoptNode(org.w3c.dom.Node source)` NEEDSDOC Method adoptNode NEEDSDOC @param source NEEDSDOC (adoptNode) @return
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` Unimplemented.
`void` | `appendData(java.lang.String arg)` Unimplemented.
`org.w3c.dom.Node` | `cloneNode(boolean deep)` Unimplemented.
`org.w3c.dom.Attr` | `createAttribute(java.lang.String name)` Unimplemented.
`org.w3c.dom.Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Unimplemented.
`org.w3c.dom.CDATASection` | `createCDATASection(java.lang.String data)` Unimplemented.
`org.w3c.dom.Comment` | `createComment(java.lang.String data)` Unimplemented.
`org.w3c.dom.DocumentFragment` | `createDocumentFragment()` Unimplemented.
`org.w3c.dom.Element` | `createElement(java.lang.String tagName)` Unimplemented.
`org.w3c.dom.Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Unimplemented.
`org.w3c.dom.EntityReference` | `createEntityReference(java.lang.String name)` Unimplemented.
`org.w3c.dom.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)` Unimplemented.
`org.w3c.dom.Text` | `createTextNode(java.lang.String data)` Unimplemented.
`void` | `deleteData(int offset, int count)` Unimplemented.
`void` | `error(int msg)` Throw an error.
`void` | `error(int msg, java.lang.Object[] args)` Throw an error.
`java.lang.String` | `getAttribute(java.lang.String name)` Unimplemented.
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)` Unimplemented.
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` Unimplemented.
`org.w3c.dom.NodeList` | `getChildNodes()` Unimplemented.
`org.w3c.dom.DocumentType` | `getDoctype()` Unimplemented.
`org.w3c.dom.Element` | `getDocumentElement()` Unimplemented.
`org.w3c.dom.Element` | `getElementById(java.lang.String elementId)` Unimplemented.
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String name)` Unimplemented.
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`java.lang.String` | `getEncoding()` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`org.w3c.dom.Node` | `getFirstChild()` Unimplemented.
`org.w3c.dom.DOMImplementation` | `getImplementation()` Unimplemented.
`org.w3c.dom.Node` | `getLastChild()` Unimplemented.
`int` | `getLength()` Unimplemented.
`java.lang.String` | `getLocalName()` Unimplemented.
`java.lang.String` | `getNamespaceURI()` Unimplemented.
`org.w3c.dom.Node` | `getNextSibling()` Unimplemented.
`java.lang.String` | `getNodeName()` Unimplemented.
`short` | `getNodeType()` Unimplemented.
`java.lang.String` | `getNodeValue()` Unimplemented.
`org.w3c.dom.Document` | `getOwnerDocument()` Unimplemented.
`org.w3c.dom.Element` | `getOwnerElement()` Unimplemented.
`org.w3c.dom.Node` | `getParentNode()` Unimplemented.
`java.lang.String` | `getPrefix()` Unimplemented.
`org.w3c.dom.Node` | `getPreviousSibling()` Unimplemented.
`boolean` | `getSpecified()` Unimplemented.
`boolean` | `getStandalone()` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`boolean` | `getStrictErrorChecking()` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`java.lang.String` | `getTagName()` Unimplemented.
`java.lang.String` | `getVersion()` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`boolean` | `hasAttribute(java.lang.String name)` Unimplemented.
`boolean` | `hasAttributeNS(java.lang.String name, java.lang.String x)` Unimplemented.
`boolean` | `hasAttributes()` Unimplemented.
`boolean` | `hasChildNodes()` Unimplemented.
`org.w3c.dom.Node` | `importNode(org.w3c.dom.Node importedNode, boolean deep)` Unimplemented.
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` Unimplemented.
`void` | `insertData(int offset, java.lang.String arg)` Unimplemented.
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)` Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.
`org.w3c.dom.Node` | `item(int index)` Unimplemented.
`void` | `normalize()` Unimplemented.
`void` | `removeAttribute(java.lang.String name)` Unimplemented.
`org.w3c.dom.Attr` | `removeAttributeNode(org.w3c.dom.Attr oldAttr)` Unimplemented.
`void` | `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)` Unimplemented.
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` Unimplemented.
`void` | `replaceData(int offset, int count, java.lang.String arg)` Unimplemented.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` Unimplemented.
`org.w3c.dom.Attr` | `setAttributeNode(org.w3c.dom.Attr newAttr)` Unimplemented.
`org.w3c.dom.Attr` | `setAttributeNodeNS(org.w3c.dom.Attr newAttr)` Unimplemented.
`void` | `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` Unimplemented.
`void` | `setData(java.lang.String data)` Set Node data
`void` | `setEncoding(java.lang.String encoding)` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`void` | `setNodeValue(java.lang.String nodeValue)` Unimplemented.
`void` | `setPrefix(java.lang.String prefix)` Unimplemented.
`void` | `setStandalone(boolean standalone)` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`void` | `setStrictErrorChecking(boolean strictErrorChecking)` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`void` | `setValue(java.lang.String value)` Unimplemented.
`void` | `setVersion(java.lang.String version)` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`org.w3c.dom.Text` | `splitText(int offset)` Unimplemented.
`java.lang.String` | `substringData(int offset, int count)` Unimplemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnImplNode

    public UnImplNode()

  Constructor UnImplNode

Method Detail

### error

    public void error(int msg)

  Throw an error.

  Parameters:
    `msg` - Message code for the error

### error

    public void error(int msg,
                      java.lang.Object[] args)

  Throw an error.

  Parameters:
    `msg` - Message code for the error
    `args` - Array of arguments to be used in the error message

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    appendChild in interface org.w3c.dom.Node

  Parameters:
    `newChild` - New node to append to the list of this node's children
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### hasChildNodes

    public boolean hasChildNodes()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    hasChildNodes in interface org.w3c.dom.Node

  Returns:
    false

### getNodeType

    public short getNodeType()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNodeType in interface org.w3c.dom.Node

  Returns:
    0

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getParentNode in interface org.w3c.dom.Node

  Returns:
    null

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getChildNodes in interface org.w3c.dom.Node

  Returns:
    null

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getFirstChild in interface org.w3c.dom.Node

  Returns:
    null

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getLastChild in interface org.w3c.dom.Node

  Returns:
    null

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNextSibling in interface org.w3c.dom.Node

  Returns:
    null

### getLength

    public int getLength()

  Unimplemented. See org.w3c.dom.NodeList
  Specified by:
    getLength in interface org.w3c.dom.NodeList

  Returns:
    0

### item

    public org.w3c.dom.Node item(int index)

  Unimplemented. See org.w3c.dom.NodeList
  Specified by:
    item in interface org.w3c.dom.NodeList

  Parameters:
    `index` - index of a child of this node in its list of children
  Returns:
    null

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getOwnerDocument in interface org.w3c.dom.Node

  Returns:
    null

### getTagName

    public java.lang.String getTagName()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getTagName in interface org.w3c.dom.Element

  Returns:
    null

### getNodeName

    public java.lang.String getNodeName()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNodeName in interface org.w3c.dom.Node

  Returns:
    null

### normalize

    public void normalize()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    normalize in interface org.w3c.dom.Node

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getElementsByTagName in interface org.w3c.dom.Element

  Parameters:
    `name` - Name of the element
  Returns:
    null

### removeAttributeNode

    public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)
                                         throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    removeAttributeNode in interface org.w3c.dom.Element

  Parameters:
    `oldAttr` - Attribute to be removed from this node's list of attributes
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### setAttributeNode

    public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr newAttr)
                                      throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    setAttributeNode in interface org.w3c.dom.Element

  Parameters:
    `newAttr` - Attribute node to be added to this node's list of attributes
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    hasAttribute in interface org.w3c.dom.Element

  Parameters:
    `name` - Name of an attribute
  Returns:
    false

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String name,
                                  java.lang.String x)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    hasAttributeNS in interface org.w3c.dom.Element

  Parameters:
    `name` -
    `x` -
  Returns:
    false

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getAttributeNode in interface org.w3c.dom.Element

  Parameters:
    `name` - Attribute node name
  Returns:
    null

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    removeAttribute in interface org.w3c.dom.Element

  Parameters:
    `name` - Attribute node name to remove from list of attributes
  Throws:
    org.w3c.dom.DOMException -

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    setAttribute in interface org.w3c.dom.Element

  Parameters:
    `name` - Name of attribute to set
    `value` - Value of attribute
  Throws:
    org.w3c.dom.DOMException -

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getAttribute in interface org.w3c.dom.Element

  Parameters:
    `name` - Name of attribute to get
  Returns:
    null

### hasAttributes

    public boolean hasAttributes()

  Unimplemented. Introduced in DOM Level 2.
  Specified by:
    hasAttributes in interface org.w3c.dom.Node

  Returns:
    false

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getElementsByTagNameNS in interface org.w3c.dom.Element

  Parameters:
    `namespaceURI` - Namespace URI of the element
    `localName` - Local part of qualified name of the element
  Returns:
    null

### setAttributeNodeNS

    public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr newAttr)
                                        throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    setAttributeNodeNS in interface org.w3c.dom.Element

  Parameters:
    `newAttr` - Attribute to set
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getAttributeNodeNS in interface org.w3c.dom.Element

  Parameters:
    `namespaceURI` - Namespace URI of attribute node to get
    `localName` - Local part of qualified name of attribute node to get
  Returns:
    null

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    removeAttributeNS in interface org.w3c.dom.Element

  Parameters:
    `namespaceURI` - Namespace URI of attribute node to remove
    `localName` - Local part of qualified name of attribute node to remove
  Throws:
    org.w3c.dom.DOMException -

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    setAttributeNS in interface org.w3c.dom.Element

  Parameters:
    `namespaceURI` - Namespace URI of attribute node to set
    `localName` - Local part of qualified name of attribute node to set NEEDSDOC @param qualifiedName
    `value` - value of attribute
  Throws:
    org.w3c.dom.DOMException -

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getAttributeNS in interface org.w3c.dom.Element

  Parameters:
    `namespaceURI` - Namespace URI of attribute node to get
    `localName` - Local part of qualified name of attribute node to get
  Returns:
    null

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getPreviousSibling in interface org.w3c.dom.Node

  Returns:
    null

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    cloneNode in interface org.w3c.dom.Node

  Parameters:
    `deep` - Flag indicating whether to clone deep (clone member variables)
  Returns:
    null

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNodeValue in interface org.w3c.dom.Node

  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    setNodeValue in interface org.w3c.dom.Node

  Parameters:
    `nodeValue` - Value to set this node to
  Throws:
    org.w3c.dom.DOMException -

### setValue

    public void setValue(java.lang.String value)
                  throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Node

  Parameters:
    `value` - Value to set this node to
  Throws:
    org.w3c.dom.DOMException -

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  Unimplemented. See org.w3c.dom.Node

  Returns:
    null

### getSpecified

    public boolean getSpecified()

  Unimplemented. See org.w3c.dom.Node

  Returns:
    False

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getAttributes in interface org.w3c.dom.Node

  Returns:
    null

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    insertBefore in interface org.w3c.dom.Node

  Parameters:
    `newChild` - New child node to insert
    `refChild` - Insert in front of this child
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    replaceChild in interface org.w3c.dom.Node

  Parameters:
    `newChild` - Replace existing child with this one
    `oldChild` - Existing child to be replaced
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    removeChild in interface org.w3c.dom.Node

  Parameters:
    `oldChild` - Child to be removed
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

  Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.
  Specified by:
    isSupported in interface org.w3c.dom.Node

  Parameters:
    `featureThe` - name of the feature to test. This is the same name which can be passed to the method `hasFeature` on `DOMImplementation`.
    `versionThis` - is the version number of the feature to test. In Level 2, version 1, this is the string "2.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`. NEEDSDOC @param feature NEEDSDOC @param version
  Returns:
    Returns `false`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNamespaceURI in interface org.w3c.dom.Node

  Returns:
    null

### getPrefix

    public java.lang.String getPrefix()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getPrefix in interface org.w3c.dom.Node

  Returns:
    null

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    setPrefix in interface org.w3c.dom.Node

  Parameters:
    `prefix` - Prefix to set for this node
  Throws:
    org.w3c.dom.DOMException -

### getLocalName

    public java.lang.String getLocalName()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getLocalName in interface org.w3c.dom.Node

  Returns:
    null

### getDoctype

    public org.w3c.dom.DocumentType getDoctype()

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    getDoctype in interface org.w3c.dom.Document

  Returns:
    null

### getImplementation

    public org.w3c.dom.DOMImplementation getImplementation()

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    getImplementation in interface org.w3c.dom.Document

  Returns:
    null

### getDocumentElement

    public org.w3c.dom.Element getDocumentElement()

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    getDocumentElement in interface org.w3c.dom.Document

  Returns:
    null

### createElement

    public org.w3c.dom.Element createElement(java.lang.String tagName)
                                      throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createElement in interface org.w3c.dom.Document

  Parameters:
    `tagName` - Element tag name
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### createDocumentFragment

    public org.w3c.dom.DocumentFragment createDocumentFragment()

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createDocumentFragment in interface org.w3c.dom.Document

  Returns:
    null

### createTextNode

    public org.w3c.dom.Text createTextNode(java.lang.String data)

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createTextNode in interface org.w3c.dom.Document

  Parameters:
    `data` - Data for text node
  Returns:
    null

### createComment

    public org.w3c.dom.Comment createComment(java.lang.String data)

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createComment in interface org.w3c.dom.Document

  Parameters:
    `data` - Data for comment
  Returns:
    null

### createCDATASection

    public org.w3c.dom.CDATASection createCDATASection(java.lang.String data)
                                                throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createCDATASection in interface org.w3c.dom.Document

  Parameters:
    `data` - Data for CDATA section
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### createProcessingInstruction

    public org.w3c.dom.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                         java.lang.String data)
                                                                  throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createProcessingInstruction in interface org.w3c.dom.Document

  Parameters:
    `target` - Target for Processing instruction
    `data` - Data for Processing instruction
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### createAttribute

    public org.w3c.dom.Attr createAttribute(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createAttribute in interface org.w3c.dom.Document

  Parameters:
    `name` - Attribute name
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### createEntityReference

    public org.w3c.dom.EntityReference createEntityReference(java.lang.String name)
                                                      throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createEntityReference in interface org.w3c.dom.Document

  Parameters:
    `name` - Entity Reference name
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### importNode

    public org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                       boolean deep)
                                throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    importNode in interface org.w3c.dom.Document

  Parameters:
    `importedNodeThe` - node to import.
    `deepIf` - `true`, recursively import the subtree under the specified node; if `false`, import only the node itself, as explained above. This has no effect on `Attr` , `EntityReference`, and `Notation` nodes. NEEDSDOC @param importedNode NEEDSDOC @param deep
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### createElementNS

    public org.w3c.dom.Element createElementNS(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName)
                                        throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createElementNS in interface org.w3c.dom.Document

  Parameters:
    `namespaceURI` - Namespace URI for the element
    `qualifiedName` - Qualified name of the element
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### createAttributeNS

    public org.w3c.dom.Attr createAttributeNS(java.lang.String namespaceURI,
                                              java.lang.String qualifiedName)
                                       throws org.w3c.dom.DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createAttributeNS in interface org.w3c.dom.Document

  Parameters:
    `namespaceURI` - Namespace URI of the attribute
    `qualifiedName` - Qualified name of the attribute
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### getElementById

    public org.w3c.dom.Element getElementById(java.lang.String elementId)

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    getElementById in interface org.w3c.dom.Document

  Parameters:
    `elementId` - ID of the element to get
  Returns:
    null

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  Set Node data

  Parameters:
    `data` - data to set for this node
  Throws:
    org.w3c.dom.DOMException -

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws org.w3c.dom.DOMException

  Unimplemented.

  Parameters:
    `offset` - Start offset of substring to extract.
    `count` - The length of the substring to extract.
  Returns:
    null
  Throws:
    org.w3c.dom.DOMException -

### appendData

    public void appendData(java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Unimplemented.

  Parameters:
    `arg` - String data to append
  Throws:
    org.w3c.dom.DOMException -

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Unimplemented.

  Parameters:
    `offset` - Start offset of substring to insert.
    `count` - The length of the substring to insert. NEEDSDOC @param arg
  Throws:
    org.w3c.dom.DOMException -

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws org.w3c.dom.DOMException

  Unimplemented.

  Parameters:
    `offset` - Start offset of substring to delete.
    `count` - The length of the substring to delete.
  Throws:
    org.w3c.dom.DOMException -

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws org.w3c.dom.DOMException

  Unimplemented.

  Parameters:
    `offset` - Start offset of substring to replace.
    `count` - The length of the substring to replace.
    `arg` - substring to replace with
  Throws:
    org.w3c.dom.DOMException -

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  Unimplemented.

  Parameters:
    `offset` - Offset into text to split
  Returns:
    null, unimplemented
  Throws:
    org.w3c.dom.DOMException -

### adoptNode

    public org.w3c.dom.Node adoptNode(org.w3c.dom.Node source)
                               throws org.w3c.dom.DOMException

  NEEDSDOC Method adoptNode NEEDSDOC @param source NEEDSDOC (adoptNode) @return

  Throws:
    org.w3c.dom.DOMException -

### getEncoding

    public java.lang.String getEncoding()

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, the encoding of this document. This is `null` when unspecified.

### setEncoding

    public void setEncoding(java.lang.String encoding)

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, the encoding of this document. This is `null` when unspecified.

### getStandalone

    public boolean getStandalone()

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, whether this document is standalone.

### setStandalone

    public void setStandalone(boolean standalone)

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, whether this document is standalone.

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying whether errors checking is enforced or not. When set to `false`, the implementation is free to not test every possible error case normally defined on DOM operations, and not raise any `DOMException`. In case of error, the behavior is undefined. This attribute is `true` by defaults.

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean strictErrorChecking)

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying whether errors checking is enforced or not. When set to `false`, the implementation is free to not test every possible error case normally defined on DOM operations, and not raise any `DOMException`. In case of error, the behavior is undefined. This attribute is `true` by defaults.

### getVersion

    public java.lang.String getVersion()

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, the version number of this document. This is `null` when unspecified.

### setVersion

    public void setVersion(java.lang.String version)

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, the version number of this document. This is `null` when unspecified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference